Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622510 - Rect too big: 2048x18448 at 18192,42768 exceeds 720x400
Rect too big: 2048x18448 at 18192,42768 exceeds 720x400
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tigervnc (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Tkac
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 11:19 EDT by Alexander Todorov
Modified: 2010-11-22 04:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 04:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2010-08-09 11:19:29 EDT
Description of problem:

When using the qemu-kvm command on RHEL6 directly it starts a VNC screen to view the virtual guest console. For me the vnc connection randomly crashes with a message on the client:

Rect too big: 2048x18448 at 18192,42768 exceeds 720x400


Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.104.el6.x86_64
tigervnc-server-1.0.90-0.10.20100115svn3945.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Prepare 2 guests.
2. Start them with commands like
qemu-kvm -hda
/var/lib/libvirt/images/primary.img -m
1000 -net nic,macaddr=DE:AD:BE:EF:25:2A -net
tap,ifname=tap1,script=no,downscript=no -boot c -vnc :2

see bug 610219 for more detailed description on virtual guests setup. I'm trying to test this bug.

  
Actual results:
I've connected to the first guest from a RHEL5.5 client and it works ok.
Connecting to the second guest form the same client gives me Rect too big error and the vncclient program crashes. This happens randomly at short intervals.

Expected results:


Additional info:
Comment 1 Adam Tkac 2010-08-11 07:02:50 EDT
Can you run vncviewer with "-log *:stderr:100" parameter and attach vncviewer's output, please?
Comment 2 Ondrej Vasik 2010-11-16 10:43:25 EST
Alex, ping... in needinfo for more than 3 months...
Comment 3 Ondrej Vasik 2010-11-22 04:22:20 EST
Closing insufficient_data, feel free to reopen once you provide output from comment #1 (if you still experience the issue).

Note You need to log in before you can comment on or make changes to this bug.